/* -*- Mode: c++; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*-
**
** Copyright 2008 Tim Johansson.  All rights reserved.
**
*/

#ifndef KOMSENDINSTANTMSG_H
#define KOMSENDINSTANTMSG_H

#include "komclient.h"

/** COmmand to send an instant message to a user or conference. */
class KOMSendInstantMsgCommand : public KOMCommand
{
public:
	KOMSendInstantMsgCommand(KOMCommandListener* l, int sid, KOMSession* kom) : KOMCommand(l, sid, kom){}
	virtual ~KOMSendInstantMsgCommand() {}
	virtual int Construct(KOMString& cmd);
	virtual bool progress(KOMString& reply);

	static const char* const commandString;
private:
	int cmdID;
	int toNum;
	KOMString text;
};

#endif // KOMSENDINSTANTMSG_H

