#!/bin/sh
mkdir -p debian/DEBIAN
mkdir -p debian/usr/bin
mkdir -p debian/usr/share/komclean
mkdir -p debian/usr/share/doc/komclean
mkdir -p debian/usr/share/man/man1
mkdir -p debian/usr/share/applications
mkdir -p debian/usr/share/pixmaps
if [ "$1" != "amd64" ]
then
cp deb_control debian/DEBIAN/control
else
cat deb_control | sed s/i386/amd64/ > debian/DEBIAN/control
fi
cp ../komclean debian/usr/bin
cp -R ../html debian/usr/share/komclean
cp ../Copyright.txt debian/usr/share/doc/komclean/copyright
cp deb_changelog debian/usr/share/doc/komclean/changelog
cp ../komclean.1 debian/usr/share/man/man1
cp komclean.desktop debian/usr/share/applications
cp ../icon/icon_normal.xpm debian/usr/share/pixmaps/komclean.xpm

gzip --best debian/usr/share/doc/komclean/changelog
gzip --best debian/usr/share/man/man1/komclean.1
strip debian/usr/bin/komclean

fakeroot dpkg-deb --build debian komclean.deb

\rm -rf debian

