/* -*- Mode: c++; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*-
**
** Copyright 2008 Tim Johansson.  All rights reserved.
**
*/

#ifndef KOMNEXTUNREADTHREAD_H
#define KOMNEXTUNREADTHREAD_H

#include "komclient.h"

/** COmmand to send an instant message to a user or conference. */
class KOMNextUnreadThreadCommand : public KOMCommand
{
public:
	KOMNextUnreadThreadCommand(KOMCommandListener* l, int sid, KOMSession* kom);
	virtual ~KOMNextUnreadThreadCommand();
	virtual int Construct(KOMString& cmd);
	virtual bool progress(KOMString& reply);

	static const char* const commandString;
private:
	void findThreadRoot();
	KOMConferenceStat* conf;
	int cmdId;
	int textNum;
	int prevTextNum;
};

#endif // KOMNEXTUNREADTHREAD_H

