#ifndef KOMSUBSCRIBE_H
#define KOMSUBSCRIBE_H

#include "komclient.h"

class KOMSubscribeCommand : public KOMCommand
{
public:
	KOMSubscribeCommand(KOMCommandListener* l, int sid, KOMSession* kom) : KOMCommand(l, sid, kom) {}
	virtual ~KOMSubscribeCommand() {}
	virtual int Construct(KOMString& cmd);
	virtual bool progress(KOMString& reply);

	static const char* const commandString;
private:
	int cmdID;
	int userID;
	int confID;
};

class KOMChangeSubscriptionTypeCommand : public KOMCommand
{
public:
	KOMChangeSubscriptionTypeCommand(KOMCommandListener* l, int sid, KOMSession* kom) : KOMCommand(l, sid, kom) {}
	virtual ~KOMChangeSubscriptionTypeCommand() {}
	virtual int Construct(KOMString& cmd);
	virtual bool progress(KOMString& reply);

	static const char* const commandString;
private:
	int cmdID;
	int confID;
	int secret, passive, instant_passive;
};

#endif // KOMSUBSCRIBE_H

