/* -*- Mode: c++; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*-
**
** Copyright 2008 Tim Johansson.  All rights reserved.
**
*/

#ifndef KOMUI_H
#define KOMUI_H

/** Main UI class. This class is what is running the entire client. */
class KOMUi
{
public:
	/** Create a new ui object responsible fo running the kom client. */
	static int Create(KOMUi** ui, const char* dataPath, int argc, char** argv);
	virtual ~KOMUi(){}
	
	/** Run the kom client. When this returns the kom client is exited. */
	virtual void run() = 0;
};

#endif // KOMUI_H

